Bug 88853 - cannot rebuild kdelibs from src.rpm
cannot rebuild kdelibs from src.rpm
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdelibs (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-14 18:27 EDT by Need Real Name
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-19 09:28:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-14 18:27:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021207
Phoenix/0.5

Description of problem:
I'm trying to rebuild kdelibs from the src.rpm, using the command 'rpmbuild
--rebuild kdelibs-3.1-10.src.rpm' but I'm getting this error:
-----------------
config.status: executing default-1 commands

Good - your configure finished. Start make now

+ make
cd . \
  && CONFIG_FILES= CONFIG_HEADERS=config.h \
     /bin/sh ./config.status
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing default-1 commands
make  all-recursive
make[1]: Entering directory `/usr/src/redhat/BUILD/kdelibs-3.1'
Making all in dcop
make[2]: Entering directory `/usr/src/redhat/BUILD/kdelibs-3.1/dcop'
Making all in KDE-ICE
make[3]: Entering directory `/usr/src/redhat/BUILD/kdelibs-3.1/dcop/KDE-ICE'
make[3]: *** No rule to make target `accept.clo', needed by `libkICE.la'.  Stop.
make[3]: Leaving directory `/usr/src/redhat/BUILD/kdelibs-3.1/dcop/KDE-ICE'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/kdelibs-3.1/dcop'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/kdelibs-3.1'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.98310 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.98310 (%build)
---------------------------

I also tried kdelibs-3.1-12.src.rpm from rawhide, but get the same error.
kdebase-3.1-12.src.rpm dies with a similar message (different file, of course,
but still 'no rule to make target xxx'). Root or normal user, no difference.

System runs RH9, all up2date packages applied as of 4/14/03. Possbliy relevant
packages:
autoconf-2.57-3
automake14-1.4p6-5.1
automake-1.6.3-5
automake15-1.5-6
gcc-3.2.2-5
Any ideas? Is this an unlisted missing dependency?

Version-Release number of selected component (if applicable):
kdelibs-3.1-10

How reproducible:
Always

Steps to Reproduce:
1. Clean install RH9, get kdelibs-3.1-10.src.rpm
2. rpmbuild --rebuild kdelibs-3.1-10.src.rpm
3.
    

Actual Results:  Initially behaves normally (does ./configure, etc), but after
~7min (PIII-700) gives the error above.

Additional info:
Comment 1 Warren Togami 2004-04-19 09:28:07 EDT
Will be fixed soon in rawhide.

Note You need to log in before you can comment on or make changes to this bug.